Bug 106607 - Sifr icon for "Table Styles" needed
Summary: Sifr icon for "Table Styles" needed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Papamatti
QA Contact:
URL:
Whiteboard: target:5.3.4 target:5.4.0.1 target:5.5.0
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr
  Show dependency treegraph
 
Reported: 2017-03-17 21:07 UTC by Thomas Lendo
Modified: 2017-06-06 22:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-03-17 21:07:32 UTC
The Breeze icon for "Table Styles" is used in Sifr icon style, therefore an own Sifr icon is needed.

Table Styles icon is used (for example) in the Styles and Formatting sidebar.

Tested with LibO 5.3.0.3
Comment 1 Buovjaga 2017-03-23 12:30:44 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: 1670cc25bc2771e87f7956a4b0dd634abaa4128b
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-03-22_23:28:42
Locale: fi-FI (fi_FI); Calc: CL
Comment 2 Papamatti 2017-05-28 07:37:55 UTC
Could you please give me a hint where to find this icon? I cannot find this icon with this specific name in the sources, perhaps it has a different one?
Comment 3 Buovjaga 2017-05-28 09:00:44 UTC
(In reply to Papamatti from comment #2)
> Could you please give me a hint where to find this icon? I cannot find this
> icon with this specific name in the sources, perhaps it has a different one?

I found it (it was hard): http://opengrok.libreoffice.org/xref/core/sw/inc/bitmaps.hlst#20

For some reason it is not in Breeze.. but for example icon-themes/tango/sw/res/sf06.png

My path to finding it using http://opengrok.libreoffice.org/
I first searched for "table styles" in quotes.
Then I saw the STR_TABLESTYLEFAMILY and RID_TABLESTYLEFAMILY and I searched for them.
That lead me to http://opengrok.libreoffice.org/xref/core/sw/source/uibase/app/swmodule.cxx#431 which mentioned BMP_STYLES_FAMILY_TABLE.
Then I searched for BMP_STYLES_FAMILY_TABLE and found the .png

I hope you can solve it :)
Comment 4 Papamatti 2017-05-30 18:36:30 UTC
Thank you!!!! Found it. :-)
Comment 5 Commit Notification 2017-06-01 11:24:03 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9b7511983fd0150283e894cc5ba314df0df45d1&h=libreoffice-5-3

tdf#106607 - Sifr icon for "Table Styles" needed

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Lendo 2017-06-01 12:04:52 UTC
Thanks for the patch, Matthias!
Comment 7 Commit Notification 2017-06-02 12:52:05 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ea17ee385da9cf4e16e70002c249d8c96d3e7c2&h=libreoffice-5-4

tdf#106607 - Sifr icon for "Table Styles" needed

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-06-04 12:14:48 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7cace94e8a20729df6c8ac0f4841a9df7e2c51fc

tdf#106607 - Sifr icon for "Table Styles" needed

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-06-04 12:18:06 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9527c9524c11af0558d838ae3d10f77f5475771

tdf#106607 - Sifr icon for "Table Styles" needed SVG

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Thomas Lendo 2017-06-06 22:07:31 UTC
Verified fixed.

Version: 5.5.0.0.alpha0+
Build-ID: 200a566cf106fc724b99c373f16da0058163b28d
CPU-Threads: 4; Betriebssystem:Linux 4.8; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-05_23:01:35
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group